跳转到主要内容
POST
/
augment
/
search
/api/v1/augment/search
curl --request POST \
  --url https://api.venice.ai/api/v1/augment/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "latest news about AI",
  "limit": 10,
  "search_provider": "brave"
}
'
{
  "query": "<string>",
  "results": [
    {
      "title": "<string>",
      "url": "<string>",
      "content": "<string>",
      "date": "<string>"
    }
  ]
}
这是一个实验性 API。请求和响应格式可能会在不另行通知的情况下变更。
query 字段中发送搜索查询。该 API 返回包含标题、URL、内容摘要和日期的结构化结果。 搜索提供商:
  • brave(默认)—— 具备零数据保留(ZDR)的 Brave Search。搜索查询永远不会被搜索提供商存储或记录。
  • google —— 使用匿名化查询的 Google 搜索。搜索通过 Venice 的基础设施代理,因此您的身份不会与发送给 Google 的搜索请求关联。Venice 不存储或记录搜索查询。
定价: 每次请求 $0.01。

示例(cURL)

curl -X POST https://api.venice.ai/api/v1/augment/search \
  -H "Authorization: Bearer $VENICE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"query": "latest news about AI"}'

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
query
string
必填

The search query

Required string length: 1 - 400
示例:

"latest news about AI"

limit
integer
默认值:10

Maximum number of results to return (default: 10, max: 20)

必填范围: 1 <= x <= 20
示例:

10

search_provider
enum<string>

Search provider to use. "brave" uses Brave Search with Zero Data Retention (ZDR) for maximum privacy — search queries are never stored or logged. "google" uses Google Search with anonymized queries — searches are proxied through Venice's infrastructure so that your identity is not associated with the search request sent to Google. Venice does not store or log search queries. Defaults to "brave".

可用选项:
google,
brave
示例:

"brave"

响应

Successfully executed search

query
string
必填

The search query that was executed

results
object[]
必填

The search results